{% extends 'base.html.twig' %}

{% block title %}Result{% endblock %}

{% block body %}

    {# navbar start #}
    <nav class="navbar navbar-expand-lg nav-bar navbar-dark pt-4">
        <a class="text-white" href="{{ path('home') }}"><h5 class="text-uppercase">Sondage<span class="navbar-logo"><br> créateur</span></h5></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-end" id="navbarNavAltMarkup">
            <div class="navbar-nav">
                <a class="nav-link text-white h5" href="{{ path('profil') }}">Mon profil</a>
                <a class="nav-link text-white h5" href="{{ path('app_logout') }}">Se déconnecter</a>
                <a class="nav-link text-white h5" href="{{ path('home') }}">Accueil</a>
            </div>
        </div>
    </nav>
    {# navbar end #}

    <div class="wrapper">
<div class="container w-50">
    <div class="text-white h2 mt-4 text-center">Résultat des votes</div>
    <div class="h3 text-white">Questions : {{ question.name }}</div>
    <div>
        {% for reponse in question.reponses %}
        <div class="mt-2 mb-2 text-white h3">{{ reponse.name }} {{ reponse.getVotes() | length }}</div>
            <div class="progress">
                <div data-id="{{ reponse.id }}" data-vote="{{ reponse.getVotes() | length }}"
                     id="progressBar" class="progress-bar" role="progressbar"
                     style="width: 0%; background-color: #f4c613">{{ reponse.name }} {{ reponse.getVotes() | length }}</div>
            </div>
        {% endfor %}
    </div>
</div>
    </div>
{% endblock %}

{% block javascripts %}
    <script>
        const bars = Array.from(document.querySelectorAll(".progress-bar"));
        for (const progress of bars) {
            const vote = parseInt(progress.getAttribute("data-vote"));
            const percent = computeEntryPercent(bars, vote);
            progress.style.width = percent + "%";
            progress.innerText = percent + "%";
        }

        function computeEntryPercent(reponses, vote) {
            const sum = reponses
                .map(a => parseInt(a.getAttribute("data-vote")))
                .reduce((a, b) => a + b, 0);
            const percent = (vote / sum) * 100;
            return Math.round(percent * 100) / 100;
        }
    </script>
{% endblock %}


{% block stylesheets %}
    <style>
        body {
            margin: 0;
            padding: 0;
            font-family: Tahoma, serif;
            background-image: url( {{ asset('asset/photo/black.jpg') }} );
            -webkit-background-size: cover;
            background-size: cover;
            height: 100vh;
        }

        .wrapper {
            display: flex;
            height: 80vh;
            justify-content: center;
            align-items: center;
        }

        .navbar-logo {
            color: #f4c613;
        }
    </style>
{% endblock %}
